#
#    description: This is a MySQL DB creation script
#    keywords: tlviewer xcom mysql query create tlcom
#    script: tlcom.sql
#    author: mpryor@sprintmail.com
#
# TLViewer fields for the csv files
# ProgID, CLSID, Help_String, ServerPath, TypeLib
# TypeLib_GUID, Version, Help_String, TLPath, LibName

# @echo off
# c:
# cd\tlviewer
# mysqladmin -u admin -padmin create tlcom  
# mysql -u admin -padmin tlcom < tlcom.sql
# cls

DROP TABLE IF EXISTS path;
CREATE TABLE path (
	id INT UNSIGNED NOT NULL auto_increment primary key,
	path varchar(200) NOT NULL	
);

DROP TABLE IF EXISTS clsid;
CREATE TABLE clsid (
	id INT UNSIGNED NOT NULL auto_increment primary key,
	clsid char(38) NOT NULL	
);

DROP TABLE IF EXISTS typelib;
CREATE TABLE typelib (
	id              INT UNSIGNED NOT NULL auto_increment primary key,
	typelib         char(38) NOT NULL,	
    version         char(8) NOT NULL,
    help_string     varchar(200) NULL,
    pathid          INT UNSIGNED NOT NULL references path.id,
    libname         varchar(40) NULL
);

DROP TABLE IF EXISTS progid;
CREATE TABLE progid (
	id           INT UNSIGNED NOT NULL auto_increment primary key,
	progid       char(100) NOT NULL UNIQUE,
    clsidid      INT UNSIGNED NOT NULL references clsid.id,
    help_string  varchar(200),
    pathid       INT UNSIGNED NULL references path.id,
    typelibid    INT UNSIGNED NULL references typelib.id 
);




  
